$(MODULES_BASE_DIR)/pppmods.bz2:
	-rm -r $(MODULES_BASE_DIR)/pppmods
	mkdir $(MODULES_BASE_DIR)/pppmods
	mkdir $(MODULES_BASE_DIR)/pppmods/lib
	mkdir $(MODULES_BASE_DIR)/pppmods/lib/modules
	mkdir $(MODULES_BASE_DIR)/pppmods/lib/modules/$(LINUX_VERSION)
	mkdir $(MODULES_BASE_DIR)/pppmods/lib/modules/$(LINUX_VERSION)/kernel
	mkdir $(MODULES_BASE_DIR)/pppmods/lib/modules/$(LINUX_VERSION)/kernel/drivers
	mkdir $(MODULES_BASE_DIR)/pppmods/lib/modules/$(LINUX_VERSION)/kernel/drivers/net
	
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/ppp_generic.o $(MODULES_BASE_DIR)/pppmods/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/ppp_async.o $(MODULES_BASE_DIR)/pppmods/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/slhc.o $(MODULES_BASE_DIR)/pppmods/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	
	#cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/bsd_comp.o $(MODULES_BASE_DIR)/pppmods/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.
	#cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/ppp_*.o $(MODULES_BASE_DIR)/pppmods/lib/modules/$(LINUX_VERSION)/kernel/drivers/net/.

	( cd $(MODULES_BASE_DIR)/pppmods; tar -cpvf ../pppmods.tar *; )
	/usr/bin/bzip2 -9 $(MODULES_BASE_DIR)/pppmods.tar
	mv $(MODULES_BASE_DIR)/pppmods.tar.bz2 $(MODULES_BASE_DIR)/pppmods.bz2

pppmods: $(MODULES_BASE_DIR)/pppmods.bz2

pppmods-clean:
	-rm -f $(MODULES_BASE_DIR)/pppmods.bz2
